'use strict';

var marked = require('marked');
var rollupPluginutils = require('rollup-pluginutils');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var marked__default = /*#__PURE__*/_interopDefaultLegacy(marked);

const ext = /\.md$/;


function md ( options = {} ) {
    const filter = rollupPluginutils.createFilter( options.include || [ '**/*.md'], options.exclude );
    if(options.marked){
      marked__default['default'].setOptions(options.marked);
    }
    return {
        name: 'md',

        transform ( md, id ) {
            if ( !ext.test( id ) ) return null;
            if ( !filter( id ) ) return null;

            const data = options.marked === false ? md : marked__default['default']( md );
            return {
                code: `export default ${JSON.stringify(data.toString())};`,
                map: { mappings: '' }
            };
        }
    };
}

module.exports = md;
//# sourceMappingURL=rollup-plugin-md.js.map
